For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create transaction template

Create transaction template

Required permissions: TEMPLATE

post
/tenants/{tenantUid}/templates
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

TransactionTemplateRequestSchema

typestringRequired

This must be a valid type from /metadata/templates

Example: SMS_PICKUP_NOTE
templatestringRequiredExample: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringOptional
templateUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

TransactionTemplateResponse

application/json
typestringRequiredExample: SMS_PICKUP_NOTE
namestringRequiredExample: SMS pickup note
templatestringRequired

The template body.

Example: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringRequired

The template subject, used for emails

mimeTypeundefined · enumRequiredPossible values:
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/templates
POST /v2/tenants/{tenantUid}/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "type": "SMS_PICKUP_NOTE",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "templateUid": "text"
}
201

TransactionTemplateResponse

{
  "type": "SMS_PICKUP_NOTE",
  "name": "SMS pickup note",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "mimeType": "HTML",
  "templateUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?